/*****************************************************************************
 *
 *  flame animation for neopioxels (WS2812b) connected to pin 6
 *  for pumpkin / jack-o-lanterns
 *  10/18/2015 Carl F. Sutter
 *  
 *  Thanks to José Daniel Herrera Gomariz http://arduino-guay.blogspot.com.es
 *
 *******************************************************************************/

#include <Adafruit_NeoPixel.h>

#define PIN 6
#define NUMPIXELS 8

// Parameter 1 = number of pixels in strip
// Parameter 2 = Arduino pin number (most are valid)
// Parameter 3 = pixel type flags, add together as needed:
//   NEO_KHZ800  800 KHz bitstream (most NeoPixel products w/WS2812 LEDs)
//   NEO_KHZ400  400 KHz (classic 'v1' (not v2) FLORA pixels, WS2811 drivers)
//   NEO_GRB     Pixels are wired for GRB bitstream (most NeoPixel products)
//   NEO_RGB     Pixels are wired for RGB bitstream (v1 FLORA pixels, not v2)
Adafruit_NeoPixel strip = Adafruit_NeoPixel(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);


void setup() {
  strip.begin();
  strip.show(); // Initialize all pixels to 'off'
  randomSeed(analogRead(0));
} // setup


void loop() {
  byte brightness = random(100,255);
  uint32_t color = strip.Color(255, random(50,80), 0);
  uint16_t i;

  for(i=0; i<strip.numPixels(); i++) {
    strip.setPixelColor(i, color);
  }
  strip.setBrightness(brightness);
  strip.show();
  delay(random(20,300));
} // loop

